=== debian/changelog ===
bash (5.1-6ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jan 2022 17:23:33 +0100

bash (5.1-6) unstable; urgency=medium

  * Apply upstream patches 013 - 016.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 17:16:52 +0100

bash (5.1-5ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Nov 2021 16:05:08 +0100

bash (5.1-5) unstable; urgency=medium

  * Apply upstream patches 009 - 012.
  * Bump standards version.
  * Remove preinst since "dash-as-sh"-transition is done. Closes: #958083.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Nov 2021 09:37:10 +0100

bash (5.1-3.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * preinst: Remove obsolete upgrade path from pre-wheezy. Closes: #958083

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 23 Oct 2021 11:36:52 +0200

bash (5.1-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 May 2021 09:14:11 +0200

bash (5.1-3) unstable; urgency=medium

  * Apply upstream patches 005 - 008.

 -- Matthias Klose <doko@debian.org>  Mon, 10 May 2021 08:52:10 +0200

bash (5.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 17:02:58 +0100

bash (5.1-2) unstable; urgency=medium

  * Apply upstream patches 001 - 004.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 10:44:50 +0100

bash (5.1-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Dec 2020 08:13:35 +0100

bash (5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 08:03:28 +0100

bash (5.1~rc3-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Nov 2020 19:19:04 +0100

bash (5.1~rc3-1) unstable; urgency=medium

  * New upstream release candidate 3.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Nov 2020 16:24:54 +0100

bash (5.1~rc2-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 11:52:48 +0100

bash (5.1~rc2-1) unstable; urgency=medium

  * New upstream release candidate 2.
    - Fix locale related crash. Closes: #972672.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Nov 2020 18:01:32 +0100

bash (5.1~rc1-2) unstable; urgency=medium

  * Make the build reproducible. Closes: #935127.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 19:10:56 +0200

bash (5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate 1.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Oct 2020 17:47:40 +0200

bash (5.1~beta1-1) experimental; urgency=medium

  * New upstream snapshot 5.1 beta1.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 14:05:46 +0200

bash (5.1~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 5.1 alpha1.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 19:24:57 +0200

bash (5.0-7) unstable; urgency=medium

  * Apply upstream patches 012 - 016.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 11:49:30 +0200


