## bash 5.1-6ubuntu1.1+11.0trisquel1

=== debian/changelog ===
bash (5.1-6ubuntu1.1+11.0trisquel1) aramo-security; urgency=medium

  * Extended explanation for sudo_root, gnu.org #835148

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Mar 2024 15:43:41 +0000

bash (5.1-6ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: heap-buffer overflow in valid parameter_transform
    - debian/patches/CVE-2022-3715.patch: add extra check to subst.c.
    - CVE-2022-3715

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Mar 2024 07:31:47 -0400
