=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bash
 Section: base
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Standards-Version: 4.6.0
 Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,
