## bash 5.2

=== debian/changelog ===
bash (5.2-1ubuntu2) kinetic; urgency=medium

  * debian/patches: Import two upstream patches to fix crashes:
      - Bash-5.2-patch-1-fix-crash-with-unset-arrays-in-arit.diff
      - Bash-5.2-patch-2-fix-crash-in-readline-when-started-.diff (LP:#1992206)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 07 Oct 2022 17:03:05 -0400

bash (5.2-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 09:52:11 +0200

bash (5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2022 16:50:07 +0200

bash (5.2~rc2-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 16:19:11 +0200

bash (5.2~rc2-2) unstable; urgency=medium

  * New upstream snapshot 5.2 rc2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Aug 2022 16:03:49 +0200

bash (5.2~rc1-1) experimental; urgency=medium

  * New upstream snapshot 5.2 rc1.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 14:35:02 +0200

bash (5.2~beta-1) experimental; urgency=medium

  * New upstream snapshot 5.2 beta1.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jun 2022 10:48:43 +0200

bash (5.1-6.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Replace add-shell/remove-shell with declarative shells.d trigger.
    Closes: #1004171

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 12 May 2022 17:05:40 +0200
