=== debian/rules ===
--- 
+++ 
@@ -227,6 +227,9 @@
 	$(ID) debian/clear_console.1 $(d)/usr/share/man/man1/
 endif
 
+	: # /etc/shells integration
+	$(ID) -D debian/shells.d/bash $(d)/usr/share/debianutils/shells.d/bash
+
 	: # files for the bash-doc package
 
 	dh_installexamples -p$(p_doc) examples/*
@@ -274,6 +277,3 @@
 	cp -p build-bash/doc/bash.info $(d_doc)/usr/share/info/.
 	dh_link -p$(p_doc) \
 	    /usr/share/doc/$(p)/bashref.html /usr/share/doc/$(p_doc)/bashref.html \
-	    /usr/share/doc/$(p)/bashref.pdf /usr/share/doc/$(p_doc)/bashref.pdf
-else
-	dh_installdocs -p$(p_doc) -X.doc-base
