=== debian/changelog ===
bash (5.2.15-2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Jan 2023 08:34:42 +0100

bash (5.2.15-2) unstable; urgency=medium

  * Remove one more pdf file without source. Closes: #1024598.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 13:06:21 +0100

bash (5.2.15-1) unstable; urgency=medium

  * New patch release.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 16:40:30 +0100

bash (5.2-3) unstable; urgency=medium

  * Apply upstream patches 003 - 015.
  * Repack to get rid of non-source PDF (Bastian Germann). Closes: #1024598.
  * d/watch: Update to v4 and add repack options.
  * d/copyright: Convert to machine-readable format, adding missing info.
    Closes: #1024602.
  * Enable all hardening flags (Christian Göttsche). Closes: #1021082.
  * Fix build on musl (Helmut Grohne). Closes: #1023053.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 11:32:01 +0100

bash (5.2-2) unstable; urgency=medium

  * Apply upstream patches 001 - 002.
    - Expanding unset arrays in an arithmetic context can cause a
      segmentation fault.
    - Starting bash with an invalid locale specification for
      LC_ALL/LANG/LC_CTYPE can cause the shell to crash. Closes: #1021062.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Oct 2022 10:34:28 +0200
