=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: bash
 Section: base
 Priority: required
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,
  texinfo, texi2html, debhelper (>= 11), gettext, sharutils,
  locales <!nocheck>, time <!nocheck>,
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Depends}
-Depends: base-files (>= 2.1.12), debianutils (>= 2.15)
+Depends: base-files (>= 2.1.12), debianutils (>= 5.6-0.1)
 Recommends: bash-completion (>= 20060301-0)
 Conflicts: bash-completion (<< 20060301-0)
 Replaces: bash-doc (<= 2.05-1), bash-completion (<< 20060301-0)
@@ -40,7 +40,7 @@
 Package: bash-static
 Architecture: any
 Multi-Arch: foreign
-Depends: passwd (>= 1:4.0.3-10), ${misc:Depends}
+Depends: passwd (>= 1:4.0.3-10), debianutils (>= 5.6-0.1), ${misc:Depends}
 Suggests: bash-doc
 Section: shells
 Priority: optional
