## bash 5.2.21

=== debian/changelog ===
bash (5.2.21-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:41:03 +0000

bash (5.2.21-2ubuntu3) noble; urgency=medium

  * Rebuild to pick up the t64 ABIs from glibc (LP: #2059078)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 26 Mar 2024 18:18:11 +0100

bash (5.2.21-2ubuntu2) noble; urgency=medium

  * DEP17: Move files to /usr

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 11:31:00 +0100

bash (5.2.21-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 09:46:25 +0100

bash (5.2.21-2) unstable; urgency=medium

  * Fix crash in rl_do_undo, taken from upstream. See #1056314, #1037274.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 09:09:52 +0100

bash (5.2.21-1) unstable; urgency=medium

  * New patch release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 11:43:49 +0100
