=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,
  texinfo, texi2html, debhelper (>= 11), gettext, sharutils,
  locales <!nocheck>, time <!nocheck>,
- xz-utils, dpkg-dev (>= 1.16.1)
+ xz-utils,
 Build-Depends-Indep: texlive-latex-base, ghostscript, texlive-fonts-recommended, man2html-base
 Build-Conflicts: r-base-core
 Homepage: http://tiswww.case.edu/php/chet/bash/bashtop.html
@@ -19,9 +19,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Depends}
 Depends: base-files (>= 2.1.12), debianutils (>= 5.6-0.1)
-Recommends: bash-completion (>= 20060301-0)
-Conflicts: bash-completion (<< 20060301-0)
-Replaces: bash-doc (<= 2.05-1), bash-completion (<< 20060301-0)
+Recommends: bash-completion
 Suggests: bash-doc
 Essential: yes
 Section: shells
@@ -63,7 +61,7 @@
 
 Package: bash-doc
 Architecture: all
-Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: ${misc:Depends}
 Section: doc
 Priority: optional
 Replaces: bash (<< 4.3-2)
