=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,12 @@
 endif
 
 
-dpkg_buildflags = DEB_CFLAGS_MAINT_APPEND="-Wall" dpkg-buildflags
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" DEB_CFLAGS_MAINT_APPEND="-Wall" dpkg-buildflags
 CFLAGS := $(shell $(dpkg_buildflags) --get CFLAGS)
 CPPFLAGS := $(shell $(dpkg_buildflags) --get CPPFLAGS)
 LDFLAGS := $(shell $(dpkg_buildflags) --get LDFLAGS)
 
-SHELL	= /bin/bash
+SHELL	= /usr/bin/bash
 YACC	= bison -y
 
 IX	= install -o 0 -g 0
@@ -184,7 +184,7 @@
 	dh_testroot
 	dh_prep -p$(p) -p$(p_doc) -p$(p_bins)
 	dh_installdirs -p$(p) \
-		bin \
+		usr/bin \
 		etc/skel \
 		usr/share/doc/$(p)
 	dh_installdirs -p$(p_doc) \
@@ -201,7 +201,6 @@
 	$(MAKE) -C build-bash install \
 		YACC="$(YACC)" \
 		DESTDIR=$(CURDIR)/$(d)
-	mv $(d)/usr/bin/bash $(d)/bin/.
 	chmod 755 $(d)/usr/bin/bashbug
 	$(ID) debian/bashbug.1 $(d)/usr/share/man/man1/
 ifneq ($(with_gfdl),yes)
@@ -213,7 +212,7 @@
 	rm -f $(d)/usr/share/info/dir*
 
 	: # extra links
-	ln -sf bash $(d)/bin/rbash
+	ln -sf bash $(d)/usr/bin/rbash
 
 	: # skeleton files
 	$(ID) debian/etc.bash.bashrc $(d)/etc/bash.bashrc
