## bash 5.2.32

=== debian/changelog ===
bash (5.2.32-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Aug 2024 10:58:31 +0200

bash (5.2.32-1) unstable; urgency=medium

  * New patch release.
    - Remove duplicate definition of strtoimax. Closes: #1023053.
  * /etc/bash.bashrc Don't dereference undefined variables, breaking
    when run with -u. Closes: #941248, #1034658, #1064645.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 09:47:46 +0200

bash (5.2.21-2.1ubuntu1) oracular; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Jun 2024 10:30:03 -0500

bash (5.2.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files to /usr for DEP17. Closes: #1064888.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Jun 2024 17:19:12 +0200

bash (5.2.21-2ubuntu5) oracular; urgency=medium

  * Correct the bash(1) man-page to note that --rcfile does not prevent the
    execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 16 Apr 2024 21:44:44 +0100
