## bash 5.2.37

=== debian/changelog ===
bash (5.2.37-1.1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:35:44 -0600

bash (5.2.37-1.1) unstable; urgency=medium

  * NMU
  * Fix FTBFS (Closes: #1092374)
    - d/rules: Remove pre-built docs to ensure they are regenerated.
      Without this, the `-b` build would fail but `-B` / `-A` would
      somehow succed.
    - Import packaging changes from 5.3~beta1-1 to make the build
      more robust. This also includes a `Rules-Requires-Root`,
      which is part of fixing this FTBFS.

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 09:57:09 +0000

bash (5.2.37-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.
  * Dropped changes:
    - Add configure-strtold-check.patch (LP: #2083131)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Dec 2024 14:06:27 -0600

bash (5.2.37-1) unstable; urgency=medium

  * New patch release.
    - A typo in the autoconf test for strtold causes false negatives for
      strtold being available and working when compiled with gcc-14.
    - If we parse a compound assignment during an alias expansion, it's
      possible to have the current input string popped out from underneath
      the parse. In this case, we should not restore the input we were using
      when we began to parse the compound assignment.
    - Handle systems that supply one of select or pselect, but not both.
    - When readline is accumulating bytes until it reads a complete multibyte
      character, reading a byte that makes the multibyte character invalid can
      result in discarding the bytes in the partial character.
    - Fix the case where text to be completed from the line buffer (quoted) is
      compared to the common prefix of the possible matches (unquoted) and the
      quoting makes the former appear to be longer than the latter. Readline
      assumes the match doesn't add any characters to the word and doesn't
      display multiple matches.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Oct 2024 08:23:04 +0200

bash (5.2.32-1ubuntu2) plucky; urgency=medium

  * Add configure-strtold-check.patch (LP: #2083131)

 -- Agathe Porte <agathe.porte@canonical.com>  Sat, 26 Oct 2024 13:07:59 +0200
