=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Homepage: http://tiswww.case.edu/php/chet/bash/bashtop.html
 Vcs-Browser: https://code.launchpad.net/~doko/+junk/pkg-bash-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~doko/+junk/pkg-bash-debian
+Rules-Requires-Root: binary-targets
 
 Package: bash
 Architecture: any
