## bash 5.3~rc2

=== debian/changelog ===
bash (5.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate 5.3 rc2.
  * /etc/bashrc: Add support to source /etc/profile.d. This is
    commented out by default.  Users should explicity enable that if
    wanted.  Addresses: #675008.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jun 2025 18:29:42 +0200

bash (5.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate 5.3 rc1.
  * Remove VCS attributes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 10:39:39 +0200

bash (5.3~beta1-1) experimental; urgency=medium

  * New upstream snapshot 5.3 beta.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jan 2025 14:00:26 +0100

bash (5.3~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 5.3 alpha.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 11:58:50 +0200
